/**************************************************************
* Header file: ns3d.h
*
***************************************************************/

#define NPR 2                /* Processors number.*/
#define N 256                /* Point number.*/
#define M 1 
#define NP1 ((N)+1)
#define NP2 ((N)+2)
#define NH ((N)/2)
#define NXH ((NH)+1)
#define NXE ((NH)+2)
#define NXT ((NH)+3)
#define NWORK ((NP2)*(M))

#define MYH (((M)/2)+1)
#define NEP 8
#define NEP1 ((NEP)+1)
#define NEPT (((2)*(NEP))+1)
#define NEM ((NEP)-1)
#define NEXT ((NXH)+(NEP))
#define NDM ((NXH)-((2)*(NEP)))
#define NDMM ((NDM)-1)
#define NPR1 ((NPR)+1)
#define NPR2 ((NPR)+2)
#define NWW ((NDMM)*(NPR))
#define NW1 ((NWW)+1)
#define NW2 ((NW1)+1)
#define NTRIG (((3)*((N)/2))+1)
#define NCTRIG ((2)*(M))
#define MP2 ((M)+2)
#define NTOT ((NP2)*(M))

#define MM 16
#define MM2 ((MM)+2)
#define MTRIG (((3)*(MM/2))+1)
#define MM1 ((MM)+1)
#define MMYH (((MM)/2)+1)
#define MWORK ((MM2)*(NDM))
#define MTOT ((MM2)*(NDM))

#define KK 16
#define KK1 (KK+1)
#define KK2 (KK+2)
#define KKZH (((KK)/2)+1)
#define KTRIG (((3)*(KK/2))+1)
#define KWORK (NDM*MM2*KK2)

/*******************************************************/
#define BUFFSIZE   2000000
#define NCall      10
#define NSTEP      20


