/***************************************************************************
  03 April 1996 10:11
  
  Copyright (c) 1996 Robert van de Geijn and The University of Texas at Austin.
  See the file GNU_LICENSE for details on the gnu license

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Written by:   Many People including:

  Gregory A. Baker, Center for Space Research,
  University of Texas at Austin  78722      baker@csr.utexas.edu

  Philip A. Alpatov, Department of Physics,
  University of Texas at Austin 78712.     philip@physics.utexas.edu

  James Overfelt, Department of Mathematics,
  University of Texas at Austin  78712.    overfelt@math.utexas.edu
  
  John Andrew Gunnels, Department of Computer Sciences,
  University of Texas at Austin 78712.     gunnels@cs.utexas.edu
  
  Greg Morrow, Department of Physics, 
  University of Texas at Austin 78712.     morrow@physics.utexas.edu
 
  Dr. Robert Van de Geijn, Department of Computer Sciences,
  University of Texas at Austin 78712.     rvdg@cs.utexas.edu
 ***************************************************************************/


#ifndef  PLA_EXTERNAL_H
#define  PLA_EXTERNAL_H

#ifndef MPI_COMPLEX
#define PLA_MPI_COMPLEX
    extern MPI_Datatype    MPI_COMPLEX;
#endif

#ifndef MPI_DOUBLE_COMPLEX
#define PLA_MPI_DOUBLE_COMPLEX
    extern MPI_Datatype    MPI_DOUBLE_COMPLEX;
#endif

MPI_Op  PLA_SUM;

#endif

int PLA_MPI_datatypes (void);
#ifndef PLA_GLOBAL_STRUCT
#define PLA_GLOBAL_STRUCT
    struct PLA_Obj_def  *PLA_GLOBAL_OBJ_STRUCT;
    int                 *PLA_GLOBAL_OBJ_INDEX;
#endif
#ifndef PLA_GLOBAL_VIEW
#define PLA_GLOBAL_VIEW
    int *PLA_GLOBAL_VIEWS_STRUCT;
    int *PLA_GLOBAL_VIEWS_INDEX;
#endif

#ifndef PLA_MEMORY_SET_ASIDE_TYPE_DEAL
#define PLA_MEMORY_SET_ASIDE_TYPE_DEAL
    int PLA_MEMORY_SET_ASIDE_TYPE;
#endif
